<script setup lang="ts">
defineProps<{
  title: string
  items: object[]
  headers: Array<any>
  hasCustomItem?: true
}>()
</script>

<template>
  <v-card class="text-center mt-16 mx-16 pa-8" rounded="lg" elevation="2">
    <h1>{{ $props.title }}</h1>
  </v-card>
  <v-card class="mx-16 mt-4" rounded="lg" elevation="2">
    <v-data-table :items="$props.items" :headers="$props.headers">
      <template #top>
        <slot name="topheaders"></slot>
      </template>
      <!-- 
            <template #item>
                <slot name="content">
            </slot>
            </template> -->
      <template #item="{ item }" v-if="$props.hasCustomItem">
        <slot name="item" :item="item"> </slot>
      </template>
    </v-data-table>
  </v-card>
</template>
